<div class="wrapper">
  <div>temp-reactive-component</div>
  <form [formGroup]="reactiveForm" (ngSubmit)="onSubmit()">
    <div>
      <input type="text" name="username" formControlName="username" />
    </div>
    <div>
      <input type="password" name="password" formControlName="password" />
    </div>
    <div>
      <input type="email" name="email" [formControl]="reactiveForm.get('email')" />
    </div>
    <div *ngFor="let value of radioData">
      <label>
        <input type="radio" [value]="value" formControlName="radioOptions" />
        {{ value }}
      </label>
    </div>
    <div>
      <select name="select-options" formControlName="selectOptions">
        <option *ngFor="let value of optionData; let i = index" [value]="i">{{ value }}</option>
      </select>
    </div>
    <div formArrayName="something">
      <!--<button (click)="addSomething()"></button>-->
      <input type="button" value="add" (click)="addSomething()" />
      <div *ngFor="let control of somethingControls; let i = index">
        <input type="text" [formControlName]="i" />
      </div>
    </div>
    <div formGroupName="group">
      <div>
        <label>
          <input type="checkbox" formControlName="checkbox1" />
          checkbox1
        </label>
      </div>
      <div>
        <label>
          <input type="checkbox" formControlName="checkbox2" />
          checkbox2
        </label>
      </div>
    </div>
    <div>
      <input type="submit" />
    </div>
  </form>
</div>
